<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__hal__results__spi" kind="group">
    <compoundname>group_hal_results_spi</compoundname>
    <title>SPI HAL Results</title>
      <sectiondef kind="define">
      <memberdef id="group__group__hal__results__spi_1ga64ec68b6d2eac6a422d853a48ad2fb82" kind="define" prot="public" static="no">
        <name>CYHAL_SPI_RSLT_BAD_ARGUMENT</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005ab8eb6c73c4faba6bc4921c84ab03f065">CYHAL_RSLT_MODULE_SPI</ref>, 0))</initializer>
        <briefdescription>
<para>Bad argument. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_spi.h" bodystart="106" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_spi.h" line="106" />
      </memberdef>
      <memberdef id="group__group__hal__results__spi_1ga5a9a30f020bc81df14004b8784a6d966" kind="define" prot="public" static="no">
        <name>CYHAL_SPI_RSLT_CLOCK_ERROR</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005ab8eb6c73c4faba6bc4921c84ab03f065">CYHAL_RSLT_MODULE_SPI</ref>, 1))</initializer>
        <briefdescription>
<para>Failed to initialize SPI clock. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_spi.h" bodystart="109" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_spi.h" line="109" />
      </memberdef>
      <memberdef id="group__group__hal__results__spi_1gaa141015de5c42dd74c589099e27cc608" kind="define" prot="public" static="no">
        <name>CYHAL_SPI_RSLT_TRANSFER_ERROR</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005ab8eb6c73c4faba6bc4921c84ab03f065">CYHAL_RSLT_MODULE_SPI</ref>, 2))</initializer>
        <briefdescription>
<para>Failed to Transfer SPI data. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_spi.h" bodystart="112" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_spi.h" line="112" />
      </memberdef>
      <memberdef id="group__group__hal__results__spi_1gacc80c9d4fad73a3694e710ee5a7c477b" kind="define" prot="public" static="no">
        <name>CYHAL_SPI_RSLT_CLOCK_NOT_SUPPORTED</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005ab8eb6c73c4faba6bc4921c84ab03f065">CYHAL_RSLT_MODULE_SPI</ref>, 3))</initializer>
        <briefdescription>
<para>Provided clock is not supported by SPI. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_spi.h" bodystart="115" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_spi.h" line="115" />
      </memberdef>
      <memberdef id="group__group__hal__results__spi_1ga49a9c5cb47f806c1ef809db148a745de" kind="define" prot="public" static="no">
        <name>CYHAL_SPI_RSLT_PIN_CONFIG_NOT_SUPPORTED</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005ab8eb6c73c4faba6bc4921c84ab03f065">CYHAL_RSLT_MODULE_SPI</ref>, 5))</initializer>
        <briefdescription>
<para>Provided PIN configuration is not supported by SPI. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_spi.h" bodystart="118" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_spi.h" line="118" />
      </memberdef>
      <memberdef id="group__group__hal__results__spi_1gaa2f2c07a304037d61976de24dafdc54c" kind="define" prot="public" static="no">
        <name>CYHAL_SPI_RSLT_INVALID_PIN_API_NOT_SUPPORTED</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005ab8eb6c73c4faba6bc4921c84ab03f065">CYHAL_RSLT_MODULE_SPI</ref>, 6))</initializer>
        <briefdescription>
<para>Provided PIN configuration is not supported by SPI. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_spi.h" bodystart="121" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_spi.h" line="121" />
      </memberdef>
      <memberdef id="group__group__hal__results__spi_1ga9be0aaa5888dea007b9080f8e6508761" kind="define" prot="public" static="no">
        <name>CYHAL_SPI_RSLT_ERR_INVALID_PIN</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005ab8eb6c73c4faba6bc4921c84ab03f065">CYHAL_RSLT_MODULE_SPI</ref>, 7))</initializer>
        <briefdescription>
<para>The requested resource type is invalid. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_spi.h" bodystart="124" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_spi.h" line="124" />
      </memberdef>
      <memberdef id="group__group__hal__results__spi_1ga4d1d1f93434e3948b5c04cac6a4316ff" kind="define" prot="public" static="no">
        <name>CYHAL_SPI_RSLT_ERR_CANNOT_CONFIG_SSEL</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005ab8eb6c73c4faba6bc4921c84ab03f065">CYHAL_RSLT_MODULE_SPI</ref>, 8))</initializer>
        <briefdescription>
<para>Cannot configure SSEL signal. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_spi.h" bodystart="127" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_spi.h" line="127" />
      </memberdef>
      <memberdef id="group__group__hal__results__spi_1ga4a5ee16eae3c7b63cc93e5f763600482" kind="define" prot="public" static="no">
        <name>CYHAL_SPI_RSLT_ERR_CANNOT_SWITCH_SSEL</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005ab8eb6c73c4faba6bc4921c84ab03f065">CYHAL_RSLT_MODULE_SPI</ref>, 9))</initializer>
        <briefdescription>
<para>Cannot switch SSEL - device is busy or incorrect pin provided. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_spi.h" bodystart="130" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_spi.h" line="130" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>SPI specific return codes. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>